Ventia
Request sales

Get a request sale

Returns a single request sale.

GET
/request-sales/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

Path Parameters

id*string

Unique identifier of the request sale.

Response Body

OK

application/json
  1. response
_id?string

Unique identifier of the request sale.

company?string

Company the request sale belongs to.

contact?string

Contact the request sale was created for.

template?

Template used. See Request Sale Templates.

status?string

Title of the current status, as defined in the template's statusOptions.

statusType?string

Category of the current status.

Value in"draft""new""processing""processed""linked""cancel""resend"
statusUpdatedAt?string
Formatdate-time
flowStatus?

Status per flow code.

content?

Form values keyed by field code.

creator?

Owner of the request sale.

createdBy?string

User who created the request sale.

auditor?

Assigned auditor.

editors?array<>
receipt?string

Sale generated from this request, if any.

receipts?array<string>
externalIds?

Ids in external systems, by integration.

createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
curl -X GET 'https://api.getventia.com/api/v1.0/request-sales/6650f1c1ff61ffd5f1e446d2'
{  "_id": "6650f1c1ff61ffd5f1e446d2",  "company": "609b3cff61ffd5f1e446d234",  "contact": "6620aa10c4e2b30017c9d111",  "template": {    "_id": "65aa01c4e2b30017c9d0a1",    "title": "Solicitud de venta"  },  "status": "En revisión",  "statusType": "processing",  "statusUpdatedAt": "2026-05-24T18:21:01.000Z",  "content": {    "product": "Plan Pro",    "amount": 1200  },  "creator": {    "_id": "6234da84259c59d9a555c498",    "name": "Ana",    "lastname": "Pérez",    "email": "ana@example.com"  },  "createdBy": "6234da84259c59d9a555c498",  "auditor": {    "_id": "6234da84259c59d9a555c499",    "name": "Luis",    "lastname": "Gómez",    "email": "luis@example.com"  },  "editors": [],  "receipts": [],  "createdAt": "2026-05-24T18:21:01.000Z",  "updatedAt": "2026-05-24T18:21:01.000Z"}